<?php
$t = 'Авторизация';
require_once 'wcore/core.php';
require_once 'wcore/head.php';
if (isset($ank)){go('/');}
if(isset($_POST['wcore'])){
    $login = antixs($_POST['login']);
    $password = antixs($_POST['password']);
    
    if (empty($login) || empty($password)){
        $_SESSION['error'] = $ed .  'Необходимо заполнить все поля' . $_ed;
        go('/auth.php');
        exit();
    }
    $_tmp_login = mysqli_query($mysqli,"SELECT * FROM `users` WHERE `login` = '$login' AND `password` = '$password' LIMIT 1");
    if (mysqli_num_rows($_tmp_login) == 0) {
        $_SESSION['error'] = $ed .  'Возможно вы не правильно указали данные или аккаунт не существует.' . $_ed;
        go('/auth.php');
        exit();
    }
        $ank = mysqli_fetch_object(mysqli_query($mysqli,"SELECT `id` FROM `users` WHERE `login` = '$login' AND `password` = '$password' LIMIT 1"));
        $_SESSION['user_id'] = $ank->id;
        $_SESSION['login'] = $ank->login;
        $_SESSION['password'] = $ank->password;
        setcookie('login', $login, time()+60*60*24*365,'/');
        setcookie('password', $password, time()+60*60*24*365,'/');
        go('/profile.php');
        exit;
    
} else {
    $log_data = array('log_in'=>0);
}

echo '<a href="reg.php" class="title">Регистрация</a> <div class="title"><b><u>Авторизация</u></b></div>';
echo '<div class="block">
    <form method="POST">
    Логин:<br>
    <input type="text" name="login" class="field"><br>
    Пароль:<br>
    <input type="password" name="password" class="field"><br>
    <input type="submit" name="wcore" class="button" value="Авторизоваться">
    </form>
    </div>';



require_once 'wcore/foot.php';